'use strict';


/**
 * Download Async Results
 * The results will be available for download for upto 30 days by calling the API.
 *
 * body Body_1  (optional)
 * returns SyncResponse
 **/
exports.routeDownloadPOST = function(body) {
  return new Promise(function(resolve, reject) {
    var examples = {};
    examples['application/json'] = {
  "summary" : {
    "rates" : {
      "CAD" : 1.342395,
      "INR" : 75.49545,
      "MXN" : 21.748097,
      "USD" : 1
    },
    "departure_time" : 1.551541566E9,
    "status" : "OK"
  },
  "route" : {
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "hasTolls" : true,
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  },
  "status" : "OK"
};
    if (Object.keys(examples).length > 0) {
      resolve(examples[Object.keys(examples)[0]]);
    } else {
      resolve();
    }
  });
}


/**
 * Request
 * <p>This API can be used in synchronous and asynchronous modes. The default mode of operation is synchronous mode where the API response with toll information is returned immediately.</p><p>Asynchronous mode is used in the following cases: </p><ul> <li>Bulk upload of multiple GPS tracks files</li><li>Uploading large GPS tracks files</li></ul><p>In asynchronous mode, the response is returned immediately with a <code>requestId</code> and <code>requestedTimestamp</code>. The results will be available for download for upto 30 days by calling the <code>route/download</code> API. Asynchronous mode can used by specifying the url parameter <code>isAsync=true</code>.</p><p>GPS traces can be passed in the following format </p><ul> <li>Upload CSV file</li><li>Upload kml file</li></ul><p>The first line in the CSV needs to contain the attribute names. The subsequent lines needs to contain the data in temporal order. The following parameters are available:</p><table><thead><tr><th>Parameter</th><th>Description</th></tr></thead><tbody><tr><td><strong>latitude</strong></td><td>Latitude coordinate in WGS84 degree (mandatory)</td></tr><tr><td><strong>longitude</strong></td><td>Longitude coordinate in WGS84 degree (mandatory)</td></tr><tr><td><strong>timestamp</strong></td><td>indicates the time and date, for example&nbsp;&nbsp;2018-05-21T17:05:06Z (mandatory since tolls may change based on time)</td></tr><tr><td><strong>speed_mps</strong></td><td>speed in meters per second (optional)</td></tr><tr><td><strong>speed_mph</strong></td><td>speed in miles per hour (optional)</td></tr><tr><td><strong>speed_kmh</strong></td><td>speed in kilometers per hour (optional)</td></tr><tr><td><strong>heading</strong></td><td>heading in degrees clockwise from North (optional)</td></tr></tbody></table><p>You can download sample file from <a href=\"https://tollguru-cdn.s3.us-east-2.amazonaws.com/trip_route.csv\" target=\"_blank\">here</a></p><p>Or use the CSV format file as shown in the table below:</p><table> <tr> <th>latitude</th> <th>longitude</th> <th>timestamp</th> </tr><tr> <td style=\"text-align: center;\">38.90479</td><td style=\"text-align: center;\">-77.02607</td><td style=\"text-align: center;\">2019-12-16T15:45:23Z</td></tr><tr> <td style=\"text-align: center;\">38.90479</td><td style=\"text-align: center;\">-77.02606</td><td style=\"text-align: center;\">2019-12-16T15:47:24Z</td></tr><tr> <td style=\"text-align: center;\">38.9048</td><td style=\"text-align: center;\">-77.02608</td><td style=\"text-align: center;\">2019-12-16T15:49:25Z</td></tr><tr> <td style=\"text-align: center;\">38.9044</td><td style=\"text-align: center;\">-77.02604</td><td style=\"text-align: center;\">2019-12-16T15:50:42Z</td></tr><tr> <td style=\"text-align: center;\">38.90424</td><td style=\"text-align: center;\">-77.02646</td><td style=\"text-align: center;\">2019-12-16T15:50:49Z</td></tr><tr> <td style=\"text-align: center;\">38.90422</td><td style=\"text-align: center;\">-77.02686</td><td style=\"text-align: center;\">2019-12-16T15:50:55Z</td></tr></table>
 *
 * vehicleType String 
 * vehicleName String Specify name for your vehicle to identify the response json for particular vehicle (optional)
 * height String Specify the vehicle height to get accurate tolls for toll roads where tolls depend on axles and vehicle height (optional)
 * weight String Specify the vehicle weight to get accurate tolls for toll roads where tolls depend on axles and vehicle weight (optional)
 * isAsync Boolean The API will function in asynchronous mode is set to true (optional)
 * body byte[]  (optional)
 * returns Object
 **/
exports.routeUploadPOST = function(vehicleType,vehicleName,height,weight,isAsync,body) {
  return new Promise(function(resolve, reject) {
    var examples = {};
    examples['application/json'] = "";
    if (Object.keys(examples).length > 0) {
      resolve(examples[Object.keys(examples)[0]]);
    } else {
      resolve();
    }
  });
}

