'use strict';


/**
 * Google Maps Routes
 * HTTP Request for cars, SUVs, pick-ups, motorcycles
 *
 * body GmapRequestBody  (optional)
 * returns GmapResponse
 **/
exports.gmapsPOST = function(body) {
  return new Promise(function(resolve, reject) {
    var examples = {};
    examples['application/json'] = {
  "summary" : {
    "fuelEfficiency" : {
      "city" : 24,
      "hwy" : 30,
      "units" : "mpg"
    },
    "route" : [ {
      "address" : "Main St, Dallas, TX 75201, United States",
      "location" : {
        "lat" : 32.78165,
        "lng" : -96.79448
      }
    }, {
      "address" : "Plano, TX, United States",
      "location" : {
        "lat" : 33.02079,
        "lng" : -96.69925
      }
    }, {
      "address" : "Allen, TX, United States",
      "location" : {
        "lat" : 33.10144,
        "lng" : -96.67449
      }
    }, {
      "address" : "Addison, TX, United States",
      "location" : {
        "lat" : 32.95398,
        "lng" : -96.81769
      }
    } ],
    "rates" : {
      "CAD" : 1.342395,
      "INR" : 75.49545,
      "MXN" : 21.748097,
      "USD" : 1
    },
    "fuelPrice" : "{\"currency\":\"USD\",\"value\":2.79}",
    "share" : "{}",
    "departure_time" : 1.551541566E9,
    "vehicleType" : "2AxlesAuto"
  },
  "routes" : [ {
    "summary" : {
      "duration" : "{\"metric\":\"72.7 km\",\"text\":\"45.2 mi\",\"value\":72731}",
      "note" : [ ],
      "distance" : "{\"text\":\"1 h 2 min\",\"value\":3742}",
      "name" : "US-75",
      "hasTolls" : true,
      "diffs" : "{\"cheapest\":\"2.63,\",\"fastest\":0}",
      "url" : "https://www.google.com/maps/?saddr=32.781643,-96.7944781&daddr=32.7839434,-96.7915463+to:32.789104,-96.7916107+to:33.0207898,-96.6992516+to:33.1014399,-96.6744947+to:33.007983,-96.7079687+to:32.9539847,-96.81769&via=1,2,3,4,5"
    },
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "directions" : [ {
      "distance" : 29,
      "duration" : 50,
      "html_instructions" : "Head toward <span class=\"toward_street\">S Lamar St</span> on <span class=\"street\">Main St</span>. <span class=\"distance-description\">Go for <span class=\"length\">95 ft</span>.</span>",
      "maneuver" : "forward",
      "note" : [ ],
      "position" : {
        "latitude" : 32.7795011,
        "longitude" : -96.8045704
      }
    } ],
    "herePath" : [ 32.7795011, -96.8045704, 32.7795553, -96.8042707, 32.7810788, "-96.8046463,", "..." ],
    "hos" : {
      "summary" : "{\"rulesParam\":{\"drivingHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeRestBreak\":7.5,\"rule\":60,\"timeRemaining\":60},\"total_break_duration\":{\"text\":null,\"value\":0},\"total_distance\":{\"metric\":73,\"text\":46,\"value\":73302},\"total_drive_duration\":{\"text\":\"1 h 23 m\",\"value\":5004},\"total_duration\":{\"text\":\"1 h 23 m\",\"value\":5004}}",
      "data" : [ {
        "instruction" : "Start from Plano, TX USA"
      }, {
        "distance" : {
          "metric" : 43,
          "text" : 26,
          "value" : 42514
        },
        "duration" : {
          "text" : "53 m",
          "value" : 3216
        },
        "instruction" : "Drive"
      }, {
        "duration" : {
          "text" : "30 m",
          "value" : 1800
        },
        "instruction" : "Break"
      } ],
      "break_points" : [ [ 33.02079, -96.69925 ] ],
      "stops" : [ {
        "additionalServices" : "",
        "amenities" : "Parking, Truck",
        "businessesName" : "Rodeway Inn",
        "city" : "Sandusky",
        "contactName" : "",
        "fax" : "(419) 626-4118",
        "fuelLanes" : -1,
        "highway" : "",
        "latitude" : 41.4465332,
        "longitude" : -82.69683075,
        "parkingSpots" : "",
        "paymentMethods" : "",
        "phone1" : "(419) 626-6852",
        "phone2" : "",
        "phone3" : "",
        "postalCode" : "",
        "restIndex" : "1",
        "showers" : -1,
        "state" : "OH",
        "stopId" : 5254,
        "streetAddress" : "1021 Cleveland Rd.",
        "truckServiceBays" : -1,
        "type" : "motels",
        "webAddress" : ""
      } ]
    },
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  }, {
    "summary" : {
      "duration" : "{\"metric\":\"72.7 km\",\"text\":\"45.2 mi\",\"value\":72731}",
      "note" : [ ],
      "distance" : "{\"text\":\"1 h 2 min\",\"value\":3742}",
      "name" : "US-75",
      "hasTolls" : true,
      "diffs" : "{\"cheapest\":\"2.63,\",\"fastest\":0}",
      "url" : "https://www.google.com/maps/?saddr=32.781643,-96.7944781&daddr=32.7839434,-96.7915463+to:32.789104,-96.7916107+to:33.0207898,-96.6992516+to:33.1014399,-96.6744947+to:33.007983,-96.7079687+to:32.9539847,-96.81769&via=1,2,3,4,5"
    },
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "directions" : [ {
      "distance" : 29,
      "duration" : 50,
      "html_instructions" : "Head toward <span class=\"toward_street\">S Lamar St</span> on <span class=\"street\">Main St</span>. <span class=\"distance-description\">Go for <span class=\"length\">95 ft</span>.</span>",
      "maneuver" : "forward",
      "note" : [ ],
      "position" : {
        "latitude" : 32.7795011,
        "longitude" : -96.8045704
      }
    } ],
    "herePath" : [ 32.7795011, -96.8045704, 32.7795553, -96.8042707, 32.7810788, "-96.8046463,", "..." ],
    "hos" : {
      "summary" : "{\"rulesParam\":{\"drivingHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeRestBreak\":7.5,\"rule\":60,\"timeRemaining\":60},\"total_break_duration\":{\"text\":null,\"value\":0},\"total_distance\":{\"metric\":73,\"text\":46,\"value\":73302},\"total_drive_duration\":{\"text\":\"1 h 23 m\",\"value\":5004},\"total_duration\":{\"text\":\"1 h 23 m\",\"value\":5004}}",
      "data" : [ {
        "instruction" : "Start from Plano, TX USA"
      }, {
        "distance" : {
          "metric" : 43,
          "text" : 26,
          "value" : 42514
        },
        "duration" : {
          "text" : "53 m",
          "value" : 3216
        },
        "instruction" : "Drive"
      }, {
        "duration" : {
          "text" : "30 m",
          "value" : 1800
        },
        "instruction" : "Break"
      } ],
      "break_points" : [ [ 33.02079, -96.69925 ] ],
      "stops" : [ {
        "additionalServices" : "",
        "amenities" : "Parking, Truck",
        "businessesName" : "Rodeway Inn",
        "city" : "Sandusky",
        "contactName" : "",
        "fax" : "(419) 626-4118",
        "fuelLanes" : -1,
        "highway" : "",
        "latitude" : 41.4465332,
        "longitude" : -82.69683075,
        "parkingSpots" : "",
        "paymentMethods" : "",
        "phone1" : "(419) 626-6852",
        "phone2" : "",
        "phone3" : "",
        "postalCode" : "",
        "restIndex" : "1",
        "showers" : -1,
        "state" : "OH",
        "stopId" : 5254,
        "streetAddress" : "1021 Cleveland Rd.",
        "truckServiceBays" : -1,
        "type" : "motels",
        "webAddress" : ""
      } ]
    },
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  } ],
  "status" : "OK"
};
    if (Object.keys(examples).length > 0) {
      resolve(examples[Object.keys(examples)[0]]);
    } else {
      resolve();
    }
  });
}


/**
 * HERE Maps Routes
 * <p>HTTP Request for trucks, buses, RVs, cars, SUV, pick-ups, motorcycles</p><p>For trucks you should specify truck weight, wherever possible. Some bridges and tunnels restrict trucks based on weight. If you are transporting HAZMAT material, please specify material type. If you do not specify HAZMAT restrictions and weight restrictions, none will be applied.</p>
 *
 * body HereRequestBody  (optional)
 * returns HereResponse
 **/
exports.herePOST = function(body) {
  return new Promise(function(resolve, reject) {
    var examples = {};
    examples['application/json'] = {
  "summary" : {
    "fuelEfficiency" : {
      "city" : 24,
      "hwy" : 30,
      "units" : "mpg"
    },
    "route" : [ {
      "address" : "Main St, Dallas, TX 75201, United States",
      "location" : {
        "lat" : 32.78165,
        "lng" : -96.79448
      }
    }, {
      "address" : "Plano, TX, United States",
      "location" : {
        "lat" : 33.02079,
        "lng" : -96.69925
      }
    }, {
      "address" : "Allen, TX, United States",
      "location" : {
        "lat" : 33.10144,
        "lng" : -96.67449
      }
    }, {
      "address" : "Addison, TX, United States",
      "location" : {
        "lat" : 32.95398,
        "lng" : -96.81769
      }
    } ],
    "rates" : {
      "CAD" : 1.342395,
      "INR" : 75.49545,
      "MXN" : 21.748097,
      "USD" : 1
    },
    "fuelPrice" : "{\"currency\":\"USD\",\"value\":2.79}",
    "share" : "{}",
    "departure_time" : 1.551541566E9,
    "vehicleType" : "2AxlesAuto"
  },
  "routes" : [ {
    "summary" : {
      "duration" : "{\"metric\":\"72.7 km\",\"text\":\"45.2 mi\",\"value\":72731}",
      "note" : [ ],
      "distance" : "{\"text\":\"1 h 2 min\",\"value\":3742}",
      "name" : "US-75",
      "hasTolls" : true,
      "diffs" : "{\"cheapest\":\"2.63,\",\"fastest\":0}",
      "url" : "https://www.google.com/maps/?saddr=32.781643,-96.7944781&daddr=32.7839434,-96.7915463+to:32.789104,-96.7916107+to:33.0207898,-96.6992516+to:33.1014399,-96.6744947+to:33.007983,-96.7079687+to:32.9539847,-96.81769&via=1,2,3,4,5"
    },
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "territoryMileage" : "",
    "directions" : [ {
      "distance" : 29,
      "duration" : 50,
      "html_instructions" : "Head toward <span class=\"toward_street\">S Lamar St</span> on <span class=\"street\">Main St</span>. <span class=\"distance-description\">Go for <span class=\"length\">95 ft</span>.</span>",
      "maneuver" : "forward",
      "note" : [ ],
      "position" : {
        "latitude" : 32.7795011,
        "longitude" : -96.8045704
      }
    } ],
    "herePath" : [ 32.7795011, -96.8045704, 32.7795553, -96.8042707, 32.7810788, "-96.8046463,", "..." ],
    "hos" : {
      "summary" : "{\"rulesParam\":{\"drivingHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeRestBreak\":7.5,\"rule\":60,\"timeRemaining\":60},\"total_break_duration\":{\"text\":null,\"value\":0},\"total_distance\":{\"metric\":73,\"text\":46,\"value\":73302},\"total_drive_duration\":{\"text\":\"1 h 23 m\",\"value\":5004},\"total_duration\":{\"text\":\"1 h 23 m\",\"value\":5004}}",
      "data" : [ {
        "instruction" : "Start from Plano, TX USA"
      }, {
        "distance" : {
          "metric" : 43,
          "text" : 26,
          "value" : 42514
        },
        "duration" : {
          "text" : "53 m",
          "value" : 3216
        },
        "instruction" : "Drive"
      }, {
        "duration" : {
          "text" : "30 m",
          "value" : 1800
        },
        "instruction" : "Break"
      } ],
      "break_points" : [ [ 33.02079, -96.69925 ] ],
      "stops" : [ {
        "additionalServices" : "",
        "amenities" : "Parking, Truck",
        "businessesName" : "Rodeway Inn",
        "city" : "Sandusky",
        "contactName" : "",
        "fax" : "(419) 626-4118",
        "fuelLanes" : -1,
        "highway" : "",
        "latitude" : 41.4465332,
        "longitude" : -82.69683075,
        "parkingSpots" : "",
        "paymentMethods" : "",
        "phone1" : "(419) 626-6852",
        "phone2" : "",
        "phone3" : "",
        "postalCode" : "",
        "restIndex" : "1",
        "showers" : -1,
        "state" : "OH",
        "stopId" : 5254,
        "streetAddress" : "1021 Cleveland Rd.",
        "truckServiceBays" : -1,
        "type" : "motels",
        "webAddress" : ""
      } ]
    },
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  }, {
    "summary" : {
      "duration" : "{\"metric\":\"72.7 km\",\"text\":\"45.2 mi\",\"value\":72731}",
      "note" : [ ],
      "distance" : "{\"text\":\"1 h 2 min\",\"value\":3742}",
      "name" : "US-75",
      "hasTolls" : true,
      "diffs" : "{\"cheapest\":\"2.63,\",\"fastest\":0}",
      "url" : "https://www.google.com/maps/?saddr=32.781643,-96.7944781&daddr=32.7839434,-96.7915463+to:32.789104,-96.7916107+to:33.0207898,-96.6992516+to:33.1014399,-96.6744947+to:33.007983,-96.7079687+to:32.9539847,-96.81769&via=1,2,3,4,5"
    },
    "costs" : {
      "cash" : false,
      "creditCard" : false,
      "fuel" : 4.31,
      "licensePlate" : 3.69,
      "otherCost" : 10,
      "prepaidCard" : 2.46,
      "tag" : 2.46
    },
    "territoryMileage" : "",
    "directions" : [ {
      "distance" : 29,
      "duration" : 50,
      "html_instructions" : "Head toward <span class=\"toward_street\">S Lamar St</span> on <span class=\"street\">Main St</span>. <span class=\"distance-description\">Go for <span class=\"length\">95 ft</span>.</span>",
      "maneuver" : "forward",
      "note" : [ ],
      "position" : {
        "latitude" : 32.7795011,
        "longitude" : -96.8045704
      }
    } ],
    "herePath" : [ 32.7795011, -96.8045704, 32.7795553, -96.8042707, 32.7810788, "-96.8046463,", "..." ],
    "hos" : {
      "summary" : "{\"rulesParam\":{\"drivingHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeEndOfWorkDay\":11,\"dutyHoursBeforeRestBreak\":7.5,\"rule\":60,\"timeRemaining\":60},\"total_break_duration\":{\"text\":null,\"value\":0},\"total_distance\":{\"metric\":73,\"text\":46,\"value\":73302},\"total_drive_duration\":{\"text\":\"1 h 23 m\",\"value\":5004},\"total_duration\":{\"text\":\"1 h 23 m\",\"value\":5004}}",
      "data" : [ {
        "instruction" : "Start from Plano, TX USA"
      }, {
        "distance" : {
          "metric" : 43,
          "text" : 26,
          "value" : 42514
        },
        "duration" : {
          "text" : "53 m",
          "value" : 3216
        },
        "instruction" : "Drive"
      }, {
        "duration" : {
          "text" : "30 m",
          "value" : 1800
        },
        "instruction" : "Break"
      } ],
      "break_points" : [ [ 33.02079, -96.69925 ] ],
      "stops" : [ {
        "additionalServices" : "",
        "amenities" : "Parking, Truck",
        "businessesName" : "Rodeway Inn",
        "city" : "Sandusky",
        "contactName" : "",
        "fax" : "(419) 626-4118",
        "fuelLanes" : -1,
        "highway" : "",
        "latitude" : 41.4465332,
        "longitude" : -82.69683075,
        "parkingSpots" : "",
        "paymentMethods" : "",
        "phone1" : "(419) 626-6852",
        "phone2" : "",
        "phone3" : "",
        "postalCode" : "",
        "restIndex" : "1",
        "showers" : -1,
        "state" : "OH",
        "stopId" : 5254,
        "streetAddress" : "1021 Cleveland Rd.",
        "truckServiceBays" : -1,
        "type" : "motels",
        "webAddress" : ""
      } ]
    },
    "tolls" : [ {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    }, {
      "cashCost" : false,
      "creditCardCost" : false,
      "currency" : "USD",
      "discountCarDetails" : false,
      "discountCarType" : false,
      "discountTruckDetails" : false,
      "discountTrucks" : false,
      "height" : "No",
      "id" : 131030,
      "lat" : 33.00225,
      "licensePlateCost" : 2.01,
      "licensePlatePrimary" : "ZipCash",
      "licensePlateSecondary" : false,
      "lng" : -96.77585,
      "name" : "Coit Main Lane Gantry (MLP7)",
      "prepaidCardCost" : 1.34,
      "road" : "President George Bush Tpke",
      "state" : "Texas",
      "tagCost" : 1.34,
      "tagPriCost" : 1.34,
      "tagPrimary" : [ "TxTAG", "TollTag", "EZ TAG", "K-Tag" ],
      "tagSecCost" : false,
      "tagSecondary" : [ ],
      "type" : "barrier"
    } ]
  } ],
  "status" : "OK"
};
    if (Object.keys(examples).length > 0) {
      resolve(examples[Object.keys(examples)[0]]);
    } else {
      resolve();
    }
  });
}

